# azure.cognitiveservices.language.spellcheck package

## Submodules

- azure.cognitiveservices.language.spellcheck.models module
- azure.cognitiveservices.language.spellcheck.operations module

## Module contents

class `azure.cognitiveservices.language.spellcheck.``SpellCheckClient`(endpoint, credentials)

  Bases: `azure.cognitiveservices.language.spellcheck.operations._spell_check_client_operations.SpellCheckClientOperationsMixin`, `msrest.service_client.SDKClient`

  The Spell Check API - V7 lets you check a text string for spelling and grammar errors.

  Variables: | config (SpellCheckClientConfiguration) – Configuration for client.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.

class `azure.cognitiveservices.language.spellcheck.``SpellCheckClientConfiguration`(endpoint, credentials)

  Bases: `msrest.configuration.Configuration`

  Configuration for SpellCheckClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.